Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Spring BlazeDS Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.flex.config.xml
Class IntegrationMessageDestinationBeanDefinitionParser

    java.lang.Object
      org.springframework.beans.factory.xml.AbstractBeanDefinitionParser
          org.springframework.flex.config.xml.AbstractMessageDestinationBeanDefinitionParser
              org.springframework.flex.config.xml.IntegrationMessageDestinationBeanDefinitionParser

All Implemented Interfaces:
  BeanDefinitionParser

    public class IntegrationMessageDestinationBeanDefinitionParser

extends AbstractMessageDestinationBeanDefinitionParser

`BeanDefinitionParser` implementation for parsing the `integration-message-destination` element.

Configures the `MessageDestinationFactory` bean definition with the appropriate `IntegrationAdapter` class for connecting to Spring Integration message channels.

Author:
  Jeremy Grelle

Field Summary

Fields inherited from class org.springframework.beans.factory.xml.AbstractBeanDefinitionParser
`ID_ATTRIBUTE, NAME_ATTRIBUTE`

Constructor Summary
`IntegrationMessageDestinationBeanDefinitionParser()`

Method Summary
`protected void` | `parseAdapter(Element element, ParserContext parserContext, BeanDefinitionBuilder destinationBuilder)` Hook for subclasses to add custom parsing logic for technology-specific adapters.

Methods inherited from class org.springframework.flex.config.xml.AbstractMessageDestinationBeanDefinitionParser
`parseInternal`

Methods inherited from class org.springframework.beans.factory.xml.AbstractBeanDefinitionParser
`parse, postProcessComponentDefinition, registerBeanDefinition, resolveId, shouldFireEvents, shouldGenerateId, shouldGenerateIdAsFallback`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IntegrationMessageDestinationBeanDefinitionParser

    public IntegrationMessageDestinationBeanDefinitionParser()

Method Detail

### parseAdapter

    protected void parseAdapter(Element element,
                                ParserContext parserContext,
                                BeanDefinitionBuilder destinationBuilder)

  Hook for subclasses to add custom parsing logic for technology-specific adapters.

  Specified by:
    `parseAdapter` in class `AbstractMessageDestinationBeanDefinitionParser`
  Parameters:
    `element` - the xml element being parsed
    `parserContext` - the current parser context
    `destinationBuilder` - the builder for the `MessageDestinationFactory` bean being defined

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Spring BlazeDS Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011. All Rights Reserved.